INCLUDE 'TIMING.PAT'
!
DECLARATIONS
GROUPNAME DBUS FOR P1_110 P1_109 P1_108 P1_107 P1_106 P1_105 P1_104 P1_103
GROUPNAME JBUS FOR J1_8 J1_7 J1_6 J1_5 J1_4 J1_3 J1_2 J1_1
ENDDECLARATIONS
!
.NOBFR
H INPUTS L P1_51 P1_50 P1_49 P1_48 OFF JBUS !INITIALIZE THE UUT
MSG ' Verify DBUS through J1_8 - J1_1'
L P1_110 P1_108 P1_106 P1_104 !VERIFY DBUS THROUGH JBUS - NO SHORTS
H P1_110 P1_108 P1_106 P1_104 !VERIFY DBUS THROUGH JBUS - NO SHORTS
L P1_109 P1_107 P1_105 P1_103 !VERIFY DBUS THROUGH JBUS - NO SHORTS
H P1_109 P1_107 P1_105 P1_103 !VERIFY DBUS THROUGH JBUS - NO SHORTS
OFF DBUS !GET U34 READY TO READ
H JBUS !PLACE A HI ON THE JBUS TO CLOCK INTO U12
L P1_52 !CHANGE DIRECTION ON U34 (B->A) AND ENABLE THE OUTPUT ON U12
MSG ' Clock U12'
H P1_51 !CLOCK U12
L P1_51 !CLOCK U12
OFF JBUS !READ DATA FROM U12 OUT THROUGH DBUS
H P1_52 !CHANGE DIRECTION ON U34 (A->B) AND DISABLE THE OUTPUT ON U12
L JBUS !PLACE A LO ON THE JBUS TO CLOCK INTO U12
L P1_52 !CHANGE DIRECTION ON U34 (B->A) AND ENABLE THE OUTPUT ON U12
MSG ' Verify data through the DBUS'
MSG ' Clock U12'
H P1_51 !CLOCK U12
L P1_51 !CLOCK U12
OFF JBUS !READ DATA FROM U12 OUT THROUGH DBUS
H P1_52 !CHANGE DIRECTION ON U34 (A->B) AND DISABLE THE OUTPUT ON U12
H J1_8 J1_6 J1_4 J1_2 L J1_7 J1_5 J1_3 J1_1 !VERIFY NO SHORTS EXIST ON THE JBUS AND U12
L P1_52 !CHANGE DIRECTION ON U34 (B->A) AND ENABLE THE OUTPUT ON U12
MSG ' Verify data through the DBUS'
MSG ' Clock U12'
H P1_51 !CLOCK U12
L P1_51 !CLOCK U12
OFF JBUS !READ DATA FROM U12 OUT THROUGH DBUS
H P1_52 !CHANGE DIRECTION ON U34 (A->B) AND DISABLE THE OUTPUT ON U12
!STIMULUS USED TO GENERATE 'TAP' FILES ASSOCIATED WITH DYNAMIC STIMULUS
.BFR
HIGHSPEED
USE TSET 1
CPP = 1
L P1_110 P1_109 P1_108 P1_107 P1_106 P1_105 P1_104 P1_103;
H P1_110 P1_109 P1_108 P1_107 P1_106 P1_105 P1_104 P1_103;
!
END

